package com.liangjian.dataplatform.member.service;


import com.liangjian.dataplatform.member.entity.po.secondary.FiltersData;
import com.liangjian.dataplatform.member.entity.tag.EsTagInfo;
import net.sf.json.JSONArray;

import java.beans.Transient;
import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface IMemEsCountService {

    Map<String,Object> getOrderCount();

    Map<String,Object> getMemeberCount(String tagKey,String zkey,String sexkey);

    Map<String,Object> getMemeberDayCount(Integer mDay);

    Map<String,Object> getAllTagList(FiltersData data);

    Map<String,Object> getTagTypes(FiltersData data);

    Map<String,Object> getUsedrug(FiltersData data);

    String editTag(EsTagInfo esTagInfo);

    String editType(EsTagInfo esTagInfo);
}